ADD-NODE-COMPONENT(1)

NAME
add-node-component - add-node-component

SYNOPSIS
add-node-component <node-modules-to-add-as-component>

DESCRIPTION
node-modules-to-add-as-component: list of component to add. Version can be specified (example: bson@1.0.0)

OPTIONS

-h, --help: print this

-c, --checksum: install new component with "checksum" at the end of debian/watch line (default, see uscan(1) for more)

-g, --group: install new component with "group" at the end of debian/watch line

--ignore install new component with "ignore" at the end of debian/watch line

--no-ctype: don't add "ctype=nodejs" in debian/watch (see uscan(1) for more, enabled automatically for now unless --checksum)

-d, --download: download new sources

-i, --install: import downloaded sources (implies -d)

-f, --remove-tag: remove origin tag if exists locally (before import)

-u, --cme-update: launch a "cme update dpkg-compyright" after import to update debian/copyright

-r, --remove-component: remove component instead of adding it (default when del-node-component is used)

-l, --list-components: print components list

-m, --list-modules: print modules list

-p, --cmp-prefix: component name prefix (default: empty)

--force-npm-reg: force the use of npm registry

--force-github-tags: force the use of GitHub tags

--uscan-option: option(s) to pass to uscan (multi-valued). Default: "-dd --download-version"

--cmp-tree: print a digraph of relation between component (give it to graph-easy)

  Environments variables:

    - ANC_CPM_PREFIX: change default --cmp-prefix value

COPYRIGHT
Copyright © Yadd <yadd@debian.org>

Licensed under GPL-2+ (see /usr/share/common-licenses/GPL-2)